> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Master passwords

> Generated reference for master password endpoints.

# Master passwords

Generated reference for master password endpoints.

Master passwords are additional SMTP mailbox login passwords. They can apply to every mailbox in an account, workspace, or domain scope, are separate from Hybridbox user login passwords, and are not used for encryption.

## Endpoints

* [GET /v1/public/accounts/\{account\_id}/credentials](/en/api/v1/public/accounts/account_id/credentials/get) - List Master Passwords
* [POST /v1/public/accounts/\{account\_id}/credentials](/en/api/v1/public/accounts/account_id/credentials/post) - Create Master Password
* [PATCH /v1/public/accounts/\{account\_id}/credentials/\{credential\_id}](/en/api/v1/public/accounts/account_id/credentials/credential_id/patch) - Update Master Password
* [DELETE /v1/public/accounts/\{account\_id}/credentials/\{credential\_id}](/en/api/v1/public/accounts/account_id/credentials/credential_id/delete) - Delete Master Password

## List Master Passwords

**GET** `/v1/public/accounts/{account_id}/credentials`

List Master Passwords

List master passwords under the path account.

Full reference: [GET /v1/public/accounts/\{account\_id}/credentials](/en/api/v1/public/accounts/account_id/credentials/get)

<Note>
  OpenAPI reference: `/openapi.en.json GET /v1/public/accounts/{account_id}/credentials`
</Note>

## Create Master Password

**POST** `/v1/public/accounts/{account_id}/credentials`

Create Master Password

Create a master password under the path account.

Full reference: [POST /v1/public/accounts/\{account\_id}/credentials](/en/api/v1/public/accounts/account_id/credentials/post)

<Note>
  OpenAPI reference: `/openapi.en.json POST /v1/public/accounts/{account_id}/credentials`
</Note>

## Update Master Password

**PATCH** `/v1/public/accounts/{account_id}/credentials/{credential_id}`

Update Master Password

Rename a master password under the path account.

Full reference: [PATCH /v1/public/accounts/\{account\_id}/credentials/\{credential\_id}](/en/api/v1/public/accounts/account_id/credentials/credential_id/patch)

<Note>
  OpenAPI reference: `/openapi.en.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}`
</Note>

## Delete Master Password

**DELETE** `/v1/public/accounts/{account_id}/credentials/{credential_id}`

Delete Master Password

Delete a master password under the path account.

Full reference: [DELETE /v1/public/accounts/\{account\_id}/credentials/\{credential\_id}](/en/api/v1/public/accounts/account_id/credentials/credential_id/delete)

<Note>
  OpenAPI reference: `/openapi.en.json DELETE /v1/public/accounts/{account_id}/credentials/{credential_id}`
</Note>

<script src="/locale-bridge.js" />
